#Analysis of our second experiment

library(readxl)
library(BayesFactor)

#correlation alpha and FORA

Test3_Han <- read_excel("C:/Users/User/Dropbox (Erasmus Universiteit Rotterdam)/HurwiczEU/Revision/Data estimations for parametric group/Data for matching P/analysis_han.xlsx")
names(Test3_Han)<-c("Paris","match","Canberra","FORA")
t.test(Test3_Han$FORA)
ttestBF(Test3_Han$FORA)

new_data<-subset(Test3_Han, Test3_Han$FORA!=0)

cor.test(Test3_Han$Paris,Test3_Han$FORA)
cor.test(new_data$Paris,new_data$FORA)
correlationBF(new_data$Paris,new_data$FORA)

cor.test(Test3_Han$match,Test3_Han$FORA)
cor.test(new_data$match,new_data$FORA)
correlationBF(new_data$match,new_data$FORA)

cor.test(Test3_Han$Canberra,Test3_Han$FORA)
cor.test(new_data$Canberra,new_data$FORA)
correlationBF(new_data$Canberra,new_data$FORA)


#ANOVA alpha's


cor.test(Test3_Han$Paris,Test3_Han$match)
correlationBF(Test3_Han$Paris,Test3_Han$match)

cor.test(Test3_Han$Paris,Test3_Han$Canberra)
correlationBF(Test3_Han$Paris,Test3_Han$Canberra)

cor.test(Test3_Han$Canberra,Test3_Han$match)
correlationBF(Test3_Han$Canberra,Test3_Han$match)

alpha<-append(Test3_Han$Paris,Test3_Han$match)
alpha<-append(alpha,Test3_Han$Canberra)
ID<-rep(1:34,3)
Group<-c(rep("Paris",34),rep("Match",34),rep("Canberra",34))
fora<-rep(Test3_Han$FORA,3)
df_alpha<-data.frame(ID,alpha,Group,fora)

alpha.aov<-aov(alpha~Group+Error(ID/Group),data=df_alpha)
summary(alpha.aov)

cor.test(alpha,fora)

new_data2<-subset(df_alpha, df_alpha$fora!=0)

cor.test(new_data2$alpha,new_data2$fora)
